package dto;

import java.sql.Timestamp;

public class Film {
	
	private Integer sid;
	private String ownerSid;
	private Boolean inCinema;
	private String name;
	private String genre;
	private String synopsis;
	private Integer premiere;
	private Timestamp recordDate;
	
	public Integer getSid() {
		return sid;
	}
	public void setSid(Integer sid) {
		this.sid = sid;
	}
	public String getOwnerSid() {
		return ownerSid;
	}
	public void setOwnerSid(String ownerSid) {
		this.ownerSid = ownerSid;
	}
	public Boolean isInCinema() {
		return inCinema;
	}
	public void setInCinema(Boolean inCinema) {
		this.inCinema = inCinema;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getGenre() {
		return genre;
	}
	public void setGenre(String genre) {
		this.genre = genre;
	}
	public String getSynopsis() {
		return synopsis;
	}
	public void setSynopsis(String synopsis) {
		this.synopsis = synopsis;
	}
	public Integer getPremiere() {
		return premiere;
	}
	public void setPremiere(Integer premiere) {
		this.premiere = premiere;
	}
	public Timestamp getRecordDate() {
		return recordDate;
	}
	public void setRecordDate(Timestamp recordDate) {
		this.recordDate = recordDate;
	}
	
	@Override
	public boolean equals(Object object){
		if (object instanceof Film){
			Film film = (Film)object;
			return this.getSid().equals(film.getSid());
		}
		else{
			return false;
		}
	}
}
