package exceptions;

import java.io.Serializable;

public class ValidationException extends Exception implements Serializable{

	private static final long serialVersionUID = -3627977602350267933L;

	public ValidationException(){
		super();
	}
	
	public ValidationException(Throwable e){
		super(e);
		System.out.println(e);
	}
	
	public ValidationException(String msg, Throwable e){
		super(msg, e);
		System.out.println(msg + ", exception: " + e);
	}
	
	public ValidationException(String msg){
		super(msg);
		System.out.println(msg);
	}
}
