package queries;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
        try {
        	// Abrimos conexion
        	Connection connection = MyConnection.openConnection();
            
            Statement stmt = connection.createStatement();
            ResultSet res = stmt.executeQuery("select * from film");
            while (res.next()) {
            	String name = res.getString("name");
            	int sid = res.getInt("sid");
            	String owner_sid = res.getString("owner_sid");
            	System.out.println("Nombre: " + name + ", sid: " + sid
            			 + ", creador: " + owner_sid);
            }
            
            // Cerramos
            stmt.close();
            MyConnection.closeConnection();
        } 
        catch (SQLException sqlex) {
            sqlex.printStackTrace();
        } 
        catch(ClassNotFoundException cnfex) {
            cnfex.printStackTrace();
        }
        
	}

}
