package queries;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 * Clase estática para el tratado de conexiones
 * @author Alejandro
 *
 */
public class MyConnection {
	
	private static Connection connection = null;
	
	// Abre una conexion
	public static Connection openConnection() throws SQLException, ClassNotFoundException{
		if (connection == null) {
			 Class.forName("com.mysql.jdbc.Driver");
             connection = DriverManager.getConnection("jdbc:mysql://localhost/filmeet","root", "root");
             return connection;
		}
		else{
			return connection;
		}
	}
	
	// Cierra una conexion
	public static void closeConnection() throws SQLException{
		if (connection != null){
			connection.close();
			connection = null;
		}
	}

}
